> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create-Beneficiary-GBP

> Inititate a Save-Beneficiary



## OpenAPI

````yaml /openapi/payouts.json post /merchant/save-beneficiary
openapi: 3.0.2
info:
  title: Flick Payouts API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Pay Out
    description: Inititating and Verifing of Transfer
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /merchant/save-beneficiary:
    post:
      tags:
        - ''
      summary: Create-Beneficiary-GBP
      description: Inititate a Save-Beneficiary
      operationId: ' Creating A Beneficiary'
      requestBody:
        description: Save beneficiary
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveBeneficiary'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SaveBeneficiaryResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    SaveBeneficiary:
      required:
        - account_no
        - routing
        - beneficiary_name
        - is_individual
        - recipient_firstname
        - recipient_lastname
        - beneficiary_country
        - bank_name
        - is_domiciliary
        - bank_country
        - countrycode
        - transfer_type
      type: object
      properties:
        account_no:
          type: string
          example: '0444444044'
        routing:
          type: string
          example: '122334'
        beneficiary_name:
          type: string
          example: Kingsley
        is_individual:
          type: boolean
          example: true
        recipient_firstname:
          type: string
          example: Kingsley
        recipient_lastname:
          type: string
          example: Kingsley
        recipient_kyc:
          type: object
          properties:
            type:
              type: string
              example: pasport
            number:
              type: string
              example: B50023989
            issuedCountryCode:
              type: string
              example: NG
            issuedBy:
              type: string
              example: Ministry of Interior
            issuedDate:
              type: string
              example: '2020-01-28'
            expirationDate:
              type: string
              example: '2030-01-27'
            birthDate:
              type: string
              example: '1989-10-24'
        beneficiary_country:
          type: string
          example: united kingdom
        bank_name:
          type: string
          example: wise
        is_domiciliary:
          type: boolean
          example: true
        bank_country:
          type: string
          example: united kingdom
        countrycode:
          type: string
          example: GB
        transfer_type:
          type: string
          example: fps
    SaveBeneficiaryResponse:
      type: object
      properties:
        message:
          type: string
          example: Beneficiary was saved successfully
        status:
          type: integer
          example: '200'
        data:
          type: object
          properties:
            beneficiary_id:
              type: string
              example: ldodjjfni
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.